/*
    Copyright (C) 2013 Carl Hetherington <cth@carlh.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <dcp/local_time.h>
#include <dcp/types.h>
#include <boost/filesystem.hpp>

class Screen;
class Film;

extern void write_kdm_files (
	boost::shared_ptr<const Film> film,
	std::list<boost::shared_ptr<Screen> > screens,
	boost::filesystem::path cpl,
	dcp::LocalTime from,
	dcp::LocalTime to,
	dcp::Formulation formulation,
	boost::filesystem::path directory
	);

extern void write_kdm_zip_files (
	boost::shared_ptr<const Film> film,
	std::list<boost::shared_ptr<Screen> > screens,
	boost::filesystem::path cpl,
	dcp::LocalTime from,
	dcp::LocalTime to,
	dcp::Formulation formulation,
	boost::filesystem::path directory
	);

extern void email_kdms (
	boost::shared_ptr<const Film> film,
	std::list<boost::shared_ptr<Screen> > screens,
	boost::filesystem::path cpl,
	dcp::LocalTime from,
	dcp::LocalTime to,
	dcp::Formulation formulation
	);
